LISP: how to detect mesh and 3
Hello.I have two questions:
1) A rulled surface has this property:
((-1 . ) (0 . "POLYLINE") (330 . ) (5 . "E7A4") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "MESH") (100 . "AcDbPolygonMesh") (66 . 1) (10 0.0 0.0 0.0) (70 . 16) ... ) (-1 . ) (0 . "POLYLINE") (330 . ) (5 . "E7A4") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "MESH") (100 . "AcDbPolygonMesh") (66 . 1) (10 0.0 0.0 0.0) (70 . 16) (40 . 0.0) (41 . 0.0) (210 0.0 0.0 1.0) (71 . 2) (72 . 13) (73 . 0) (74 . 0) (75 . 0)How do I detect if user selected object is indeed AcDbPolygonMesh?
(print (assoc 100 (ENTGET (CAR (ENTSEL)))))returns
(100 . "AcDbEntity")
2) When exploded rulled surface splits into 3dfaces:
((-1 . ) (0 . "3DFACE") (330 . ) (5 . "E3A3") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "MESH") (100 . "AcDbFace") (10 89.7284 285.885 36.8229) (11 89.5724 285.624 36.8372) (12 89.1476 289.961 -9.4... (-1 . ) (0 . "3DFACE") (330 . ) (5 . "E3A3") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "MESH") (100 . "AcDbFace") (10 89.7284 285.885 36.8229) (11 89.5724 285.624 36.8372) (12 89.1476 289.961 -9.45313) (13 90.397 290.068 -9.11998) (70 . 0)Is there a way get these 3dface's objects (coordinates with assoc 10,11,12 and 13) from rulled surface object without exploding it?
Thank you.
页:
[1]